Bug 141055 - system-config-network needs to be able to set MTU
system-config-network needs to be able to set MTU
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-11-28 17:34 EST by Jonathan Abbey
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 07:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Abbey 2004-11-28 17:34:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I'm on a DSL system using PPPoE to encapsulate packets. 
Unfortunately, this means the effective MTU of the DSL link is 1492
bytes, and not the default ethernet 1500.  I need to set my FC3
system's MTU to 1492 if I want to avoid unecessary packet
fragmentation for DSL traffic.

system-config-network has all kinds of options for editing most
Ethernet device configuration options, but there's no way to change
the MTU, despite other graphical tools being able to show me that the
MTU is set too high.

It would be helpful to add an MTU editing option to a future version
of system-config-network.

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1.Run system-config-network
2.Look for MTU
3.Complain
    

Additional info:
Comment 1 Jonathan Abbey 2004-11-30 22:27:05 EST
Having investigated this more, I see that the improper MTU for my
PPPoE link should result in automatic Path MTU discovery, but I've
been seeing symptoms that the MTU is not being set/discovered properly
by my FC 3 system, presumably because somewhere along the path the
ICMP packets are being blocked.

Setting my own MTU in /etc/sysconfig/network-scripts/ifcfg-eth0 seems
to have solved connection hangs that I had, all of which speaks to the
utility of putting MTU into system-config-network.
Comment 2 Matthew Miller 2006-07-10 19:09:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.